> ## Documentation Index
> Fetch the complete documentation index at: https://docs.middlewr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete QR Code Logo

> Remove the logo from the QR code of a link



## OpenAPI

````yaml openapi.json DELETE /api/workspaces/{workspace_id}/links/{link_id}/logo
openapi: 3.1.1
info:
  title: Middlewr API
  description: Short link management platform API
  version: 1.0.0
  contact:
    name: Middlewr
    email: hello@middlewr.com
    url: https://middlewr.com/contact
servers:
  - url: https://api.middlewr.com
security:
  - ApiKeyAuth: []
paths:
  /api/workspaces/{workspace_id}/links/{link_id}/logo:
    delete:
      tags:
        - Links
      operationId: links.deleteLogo
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: link_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
components:
  schemas:
    Link:
      type: object
      properties:
        id:
          type: string
          format: uuid
        workspace_id:
          type: string
          format: uuid
        domain_id:
          type: string
          format: uuid
        created_by_id:
          type: string
          format: uuid
        original_url:
          type: string
          format: uri
        short_code:
          type: string
        title:
          anyOf:
            - type: string
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
        utm_source:
          anyOf:
            - type: string
            - type: 'null'
        utm_medium:
          anyOf:
            - type: string
            - type: 'null'
        utm_campaign:
          anyOf:
            - type: string
            - type: 'null'
        utm_term:
          anyOf:
            - type: string
            - type: 'null'
        utm_content:
          anyOf:
            - type: string
            - type: 'null'
        password:
          anyOf:
            - type: string
            - type: 'null'
        is_active:
          type: boolean
        redirect_type:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        click_count:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        click_count_updated_at:
          anyOf:
            - type: string
              format: date-time
              x-native-type: date
            - type: 'null'
        created_at:
          type: string
          format: date-time
          x-native-type: date
        updated_at:
          anyOf:
            - type: string
              format: date-time
              x-native-type: date
            - type: 'null'
        version:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        qr_code_settings:
          anyOf:
            - type: object
              properties:
                fg_color:
                  type: string
                  maxLength: 20
                bg_color:
                  type: string
                  maxLength: 20
                dot_style:
                  enum:
                    - square
                    - dots
                    - rounded
                    - classy
                    - classy-rounded
                    - extra-rounded
                  type: string
                eye_outer_style:
                  enum:
                    - square
                    - dot
                    - extra-rounded
                  type: string
                eye_inner_style:
                  enum:
                    - square
                    - dot
                  type: string
                frame_enabled:
                  type: boolean
                frame_text:
                  type: string
                  maxLength: 255
                frame_color:
                  type: string
                  maxLength: 20
                frame_text_color:
                  type: string
                  maxLength: 20
                logo_size:
                  anyOf:
                    - type: integer
                      minimum: 1
                      maximum: 9007199254740991
                    - type: 'null'
              required:
                - fg_color
                - bg_color
                - dot_style
                - eye_outer_style
                - eye_inner_style
                - frame_enabled
                - frame_text
                - frame_color
                - frame_text_color
            - type: 'null'
        qr_logo_key:
          anyOf:
            - type: string
            - type: 'null'
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
        rule_graph:
          anyOf:
            - $ref: '#/components/schemas/RuleGraph'
            - type: 'null'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
      required:
        - id
        - workspace_id
        - domain_id
        - created_by_id
        - original_url
        - short_code
        - title
        - description
        - utm_source
        - utm_medium
        - utm_campaign
        - utm_term
        - utm_content
        - password
        - is_active
        - redirect_type
        - click_count
        - click_count_updated_at
        - created_at
        - updated_at
        - version
        - qr_code_settings
        - qr_logo_key
        - logo_url
        - tags
    RuleGraph:
      type: object
      properties:
        entry:
          type: string
        nodes:
          type: object
          propertyNames:
            type: string
          additionalProperties:
            anyOf:
              - type: object
                properties:
                  id:
                    type: string
                  type:
                    const: condition
                  position:
                    type: object
                    properties:
                      x:
                        type: number
                      'y':
                        type: number
                    required:
                      - x
                      - 'y'
                  field:
                    type: string
                  operator:
                    enum:
                      - eq
                      - neq
                      - in
                      - not_in
                      - contains
                      - not_contains
                      - gt
                      - lt
                      - gte
                      - lte
                      - regex
                    type: string
                  value:
                    anyOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                      - type: number
                  outputs:
                    type: object
                    properties:
                      'true':
                        anyOf:
                          - type: string
                          - type: 'null'
                      'false':
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - 'true'
                      - 'false'
                required:
                  - id
                  - type
                  - position
                  - field
                  - operator
                  - value
                  - outputs
              - type: object
                properties:
                  id:
                    type: string
                  type:
                    const: split
                  position:
                    type: object
                    properties:
                      x:
                        type: number
                      'y':
                        type: number
                    required:
                      - x
                      - 'y'
                  variants:
                    type: array
                    minItems: 2
                    items:
                      type: object
                      properties:
                        weight:
                          type: number
                          minimum: 1
                          maximum: 100
                        target:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - weight
                        - target
                required:
                  - id
                  - type
                  - position
                  - variants
              - type: object
                properties:
                  id:
                    type: string
                  type:
                    const: destination
                  position:
                    type: object
                    properties:
                      x:
                        type: number
                      'y':
                        type: number
                    required:
                      - x
                      - 'y'
                  url:
                    type: string
                    format: uri
                required:
                  - id
                  - type
                  - position
                  - url
              - type: object
                properties:
                  id:
                    type: string
                  type:
                    const: transform
                  position:
                    type: object
                    properties:
                      x:
                        type: number
                      'y':
                        type: number
                    required:
                      - x
                      - 'y'
                  transforms:
                    type: object
                    properties:
                      query_params:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                              minLength: 1
                            value:
                              type: string
                            mode:
                              enum:
                                - set
                                - append
                              type: string
                          required:
                            - key
                            - value
                            - mode
                      redirect_status:
                        anyOf:
                          - const: 301
                          - const: 302
                          - const: 307
                          - const: 308
                      response_headers:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                              minLength: 1
                            value:
                              type: string
                              pattern: ^[^\r\n]*$
                            mode:
                              enum:
                                - set
                                - append
                              type: string
                          required:
                            - key
                            - value
                            - mode
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - type
                  - position
                  - transforms
                  - next
              - type: object
                properties:
                  id:
                    type: string
                  type:
                    const: password
                  position:
                    type: object
                    properties:
                      x:
                        type: number
                      'y':
                        type: number
                    required:
                      - x
                      - 'y'
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - type
                  - position
                  - next
              - type: object
                properties:
                  id:
                    type: string
                  type:
                    const: countdown
                  position:
                    type: object
                    properties:
                      x:
                        type: number
                      'y':
                        type: number
                    required:
                      - x
                      - 'y'
                  seconds:
                    type: integer
                    minimum: 1
                    maximum: 300
                  message:
                    anyOf:
                      - type: string
                        maxLength: 500
                      - type: 'null'
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - type
                  - position
                  - seconds
                  - message
                  - next
              - type: object
                properties:
                  id:
                    type: string
                  type:
                    const: webhook
                  position:
                    type: object
                    properties:
                      x:
                        type: number
                      'y':
                        type: number
                    required:
                      - x
                      - 'y'
                  url:
                    type: string
                    format: uri
                  method:
                    enum:
                      - POST
                      - GET
                    type: string
                  headers:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                      pattern: ^[^\r\n]*$
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - type
                  - position
                  - url
                  - method
                  - next
              - type: object
                properties:
                  id:
                    type: string
                  type:
                    const: entry
                  position:
                    type: object
                    properties:
                      x:
                        type: number
                      'y':
                        type: number
                    required:
                      - x
                      - 'y'
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                  starts_at:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  expires_at:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  fallback_url:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - id
                  - type
                  - position
                  - next
                  - starts_at
                  - expires_at
                  - fallback_url
      required:
        - entry
        - nodes
    Tag:
      type: object
      properties:
        id:
          type: string
          format: uuid
        workspace_id:
          type: string
          format: uuid
        name:
          type: string
        color:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          type: string
          format: date-time
          x-native-type: date
        updated_at:
          anyOf:
            - type: string
              format: date-time
              x-native-type: date
            - type: 'null'
      required:
        - id
        - workspace_id
        - name
        - color
        - created_at
        - updated_at
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: A user or workspace API key, created in the dashboard settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.